Bug 1933708 - Grafana is not displaying deployment config resources in dashboard `Default /Kubernetes / Compute Resources / Namespace (Workloads)`
Summary: Grafana is not displaying deployment config resources in dashboard `Default /...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Prashant Balachandran
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-01 14:04 UTC by Mani
Modified: 2021-09-17 05:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:48:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
no deployment config resources in dashboard `Default /Kubernetes / Compute Resources / Namespace (Workloads)` (51.37 KB, image/png)
2021-06-03 04:40 UTC, Junqi Zhao
no flags Details
could see deployment config resources in dashboard `Default /Kubernetes / Compute Resources / Namespace (Workloads)` (61.05 KB, image/png)
2021-06-03 06:25 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1192 0 None open Bug 1933708: Add deployment config in recording rule 2021-06-02 12:02:40 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:49:03 UTC

Description Mani 2021-03-01 14:04:36 UTC
Description of problem:
Grafana is not displaying deployment config resources in dashboard `Default /Kubernetes / Compute Resources / Namespace (Workloads)`. I have tested by deploying sample app as DC and it not showing in the Default /Kubernetes / Compute Resources / Namespace (Workloads

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Create a test project
2.create httpd sample app with deployment config
 $oc new-app httpd --as-deployment-config=true
3.Check the Grafana dashboard Default /Kubernetes / Compute Resources / Namespace (Workloads)

Actual results:
none

Expected results:
To show the DeploymentConfig pods in the Dashboard Default /Kubernetes / Compute Resources / Namespace (Workloads)

Additional info:

Comment 3 Junqi Zhao 2021-06-03 04:40:30 UTC
Created attachment 1788782 [details]
no deployment config resources in dashboard `Default /Kubernetes / Compute Resources / Namespace (Workloads)`

Comment 4 Junqi Zhao 2021-06-03 06:24:47 UTC
tested with the not merged PR, could see deployment config resources in dashboard `Default /Kubernetes / Compute Resources / Namespace (Workloads)`, see the attached picture

Comment 5 Junqi Zhao 2021-06-03 06:25:35 UTC
Created attachment 1788792 [details]
could see deployment config resources in dashboard `Default /Kubernetes / Compute Resources / Namespace (Workloads)`

Comment 7 Junqi Zhao 2021-06-04 01:23:30 UTC
fix is in 4.8.0-0.nightly-2021-06-03-221810 and later builds, set to VERIFIED

Comment 10 errata-xmlrpc 2021-07-27 22:48:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.